import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { AppComponent } from './app.component';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { IGX_INPUT_GROUP_TYPE, IgxInputGroupModule } from 'igniteui-angular';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    BrowserAnimationsModule,
    IgxInputGroupModule
  ],
  providers: [{provide: IGX_INPUT_GROUP_TYPE, useValue: 'box' }],
  bootstrap: [AppComponent]
})
export class AppModule {
}
